import { ControlElement, JsonFormsRendererRegistryEntry, JsonFormsState, JsonSchema, UISchemaElement, UISchemaTester } from '@jsonforms/core';
import { JsonFormsStateContext } from '@jsonforms/react';
export interface OwnPropsOfSpectrumArrayItem {
    DNDHandle?: any;
    callbackOpenedIndex?: any;
    childData?: any;
    childLabel: string;
    duplicateItem(index: number): () => void;
    enabled: boolean;
    index: number;
    moveDownCreator?: ((path: string, position: number) => () => void) | undefined;
    moveUpCreator?: ((path: string, position: number) => () => void) | undefined;
    openIndex: number;
    path: string;
    removeItem(path: string, value: number): () => void;
    renderers?: JsonFormsRendererRegistryEntry[];
    rowIndex?: number;
    schema: JsonSchema;
    uischema: ControlElement;
    uischemas?: {
        tester: UISchemaTester;
        uischema: UISchemaElement;
    }[];
    customLabel?: string;
}
/**
 * Map state to control props.No indexOfFittingSchema found
 * @param state the store's state
 * @param ownProps any own props
 * @returns {StatePropsOfControl} state props for a control
 */
export declare const mapStateToSpectrumArrayItemProps: (state: JsonFormsState, ownProps: OwnPropsOfSpectrumArrayItem) => OwnPropsOfSpectrumArrayItem;
export declare const ctxToSpectrumArrayItemProps: (ctx: JsonFormsStateContext, ownProps: OwnPropsOfSpectrumArrayItem) => OwnPropsOfSpectrumArrayItem;
