import { Mark } from '@tiptap/core';
declare type Level = 1 | 2 | 3 | 4 | 5 | 6;
export interface MarkOptions {
    HTMLAttributes: Record<string, any>;
    classes: Array<string>;
    excludes: string;
    level?: Level;
    markName?: string | undefined;
    tag: string;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        markWithClass: {
            /**
             * Toggle a markWithClass
             */
            toggleMarkWithClass: (attributes: {
                class: string | unknown;
                tag?: string;
                markName?: string | undefined;
                level?: Level;
            }) => ReturnType;
        };
    }
}
export declare const markWithClass: Mark<MarkOptions, any>;
export {};
