import { Node } from '@tiptap/core';
declare type Level = 1 | 2 | 3 | 4 | 5 | 6;
export interface NodeOptions {
    HTMLAttributes: Record<string, any>;
    classes: Array<string>;
    styles: Array<string>;
    excludes: string;
    level?: Level;
    nodeName?: string | undefined;
    tag: string;
}
declare module '@tiptap/core' {
    interface Commands<ReturnType> {
        nodeWithClass: {
            /**
             * Toggle a nodeWithClass
             */
            toggleNodeWithClass: (attributes: {
                class: string | unknown;
                tag?: string;
                nodeName?: string | undefined;
                level?: Level;
            }) => ReturnType;
        };
    }
}
export declare const nodeWithClass: Node<NodeOptions, any>;
export {};
